[node-patches] Change in ovirt-node-iso[ovirt-3.5]: Add verification script

fabiand at fedoraproject.org fabiand at fedoraproject.org
Wed Jun 25 14:47:43 UTC 2014


Fabian Deutsch has uploaded a new change for review.

Change subject: Add verification script
......................................................................

Add verification script

Change-Id: Ie53560971a771fd4a31cb04b8615470863d3e509
Signed-off-by: Fabian Deutsch <fabiand at fedoraproject.org>
---
A meta.example
A verify-meta-file.sh
2 files changed, 21 insertions(+), 0 deletions(-)


  git pull ssh://gerrit.ovirt.org:29418/ovirt-node-iso refs/changes/08/29208/1

diff --git a/meta.example b/meta.example
new file mode 100644
index 0000000..51b4af9
--- /dev/null
+++ b/meta.example
@@ -0,0 +1,2 @@
+PLATFORM_VERSION=19
+LAYERED_VERSION=3.5
diff --git a/verify-meta-file.sh b/verify-meta-file.sh
new file mode 100755
index 0000000..b7266c7
--- /dev/null
+++ b/verify-meta-file.sh
@@ -0,0 +1,19 @@
+#!/usr/bin/bash
+
+set -e
+
+METAFILE=$1
+
+die() { echo "ERROR $@" >&2 ; exit 42 ; }
+has() { echo "Checking for '$@'" ; egrep "^$@" $METAFILE || die "Missing/Invalid: '$@'" ; }
+
+[[ -n $METAFILE ]] || die "No metafile given, usage: $0 METAFILE"
+[[ -f $METAFILE ]] || die "metafile '$METAFILE' does not exist"
+
+echo "Starting checks …"
+
+# Match Fedora and CentOS versioning
+has "PLATFORM_VERSION=[0-9]+([.][0-9]+)?"
+has LAYERED_VERSION=[3][.][45]
+
+echo "Passed successfully."


-- 
To view, visit http://gerrit.ovirt.org/29208
To unsubscribe, visit http://gerrit.ovirt.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: Ie53560971a771fd4a31cb04b8615470863d3e509
Gerrit-PatchSet: 1
Gerrit-Project: ovirt-node-iso
Gerrit-Branch: ovirt-3.5
Gerrit-Owner: Fabian Deutsch <fabiand at fedoraproject.org>



More information about the node-patches mailing list